id: AddInt
name: Add two integers
version: '1.0'
description: Add two integers together.
authors:
- name: Marcel Koek
  email: m.koek@erasmusmc.nl
  url: http://www.bigr.nl/people/MarcelKoek
class: Node
command:
  version: '1.0'
  url: ''
  targets:
  - os: linux
    arch: '*'
    class: DockerTarget
    docker_image: addint-v1.0:1.0
    binary: python /usr/bin/addint.py
  - os: linux
    arch: '*'
    class: SingularityTarget
    container: addint-v1.0_1.0.sif
    binary: /usr/bin/addint.py
    interpreter: python
  description: |
    addint.py value1 value2
    output = value1 + value2
  authors:
  - name: Marcel Koek
    email: m.koek@erasmusmc.nl
    url: http://www.bigr.nl/people/MarcelKoek
interface:
  id: AddInt_1.0_interface
  class: FastrInterface
  inputs:
  - parent: AddInt_1.0_interface
    id: left_hand
    name: left hand value
    datatype: Int
    prefix: --in1
    repeat_prefix: false
    cardinality: 1-*
    nospace: false
    format:
    required: true
    default:
    description: ''
    order: 0
    hidden: false
    join:
  - parent: AddInt_1.0_interface
    id: right_hand
    name: right hand value
    datatype: Int
    prefix: --in2
    repeat_prefix: false
    cardinality: as:left_hand
    nospace: false
    format:
    required: true
    default:
    description: ''
    order: 1
    hidden: false
    join:
  outputs:
  - parent: AddInt_1.0_interface
    id: result
    name: Resulting value
    datatype: Int
    prefix:
    repeat_prefix: false
    cardinality: as:left_hand
    nospace: false
    format:
    required: false
    default:
    description: The summation of left_hand and right_hand.
    order: 2
    hidden: false
    join:
    automatic: true
    action:
    location: ^RESULT=(.*)$
    separator:
    method: json
    negate: false
repository:
tests:
- ./test/addint
cite: ''
help: ''
tags: []
url:
requirements:
references: []
